package com.company.metapropertyunfetched.entity;

import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;

@Table(name = "METAPROPERTYUNFETCHED_NEW_ENTITY1")
@Entity(name = "metapropertyunfetched_NewEntity1")
public class NewEntity1 extends StandardEntity {
    private static final long serialVersionUID = -8508815522721571159L;

    @JoinColumn(name = "ENTITY2_ID")
    @OneToOne(fetch = FetchType.LAZY)
    private NewEntity2 entity2;

    @MetaProperty(related = "entity2")
    public String getEntity3Id() {
        if (entity2 != null) {
            NewEntity3 entity3 = entity2.getEntity3();
            if (entity3 != null) {
                return entity3.getId().toString();
            }
        }
        return null;
    }

    public NewEntity2 getEntity2() {
        return entity2;
    }

    public void setEntity2(NewEntity2 entity2) {
        this.entity2 = entity2;
    }
}